package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 工单表
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_12345_t_busi_form")
public class OT12345TBusiForm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 逻辑删除标记（0：显示；1：隐藏）
     */
    private String delFlag;

    /**
     * 工单类型
     */
    private String formType;

    /**
     * 来电号码
     */
    private String incomingPhone;

    /**
     * 工单内容
     */
    private String contentText;

    /**
     * 工单状态
     */
    private String formStatus;

    /**
     * 来电时间
     */
    private Date waitingTime;

    /**
     * 工单来源
     */
    private String formOrigin;

    /**
     * 录音ID
     */
    private String recordId;

    /**
     * 工单存储状态
     */
    private String status;

    /**
     * 归属地ID
     */
    private String areaId;

    /**
     * 工单编号
     */
    private String busiNumber;

    /**
     * 保密客户信息（0：保密；1：显示）
     */
    private String showFlag;

    /**
     * 计划完成时间
     */
    private Date planTime;

    /**
     * 计划签收时间
     */
    private Date planSignTime;

    /**
     * 业务类型一级
     */
    private String businessTypeId;

    /**
     * 业务类型二级
     */
    private String businessTypeChildId;

    /**
     * 业务类型三级
     */
    private String businessTypeGrandsonId;

    /**
     * 流程实例id
     */
    private String procInsId;

    /**
     * 紧急程度
     */
    private String emeLevel;

    /**
     * 客户id
     */
    private String cusId;

    /**
     * 工单标题
     */
    private String title;

    private String actSettingId;

    /**
     * 经纬度
     */
    private String caseLnglat;

    /**
     * 关联工单号
     */
    private String relateBusiNumber;

    /**
     * 四级归口
     */
    private String businessTypeFourId;

    /**
     * 五级归口
     */
    private String businessTypeFiveId;

    /**
     * 事发时间
     */
    private Date eventDate;

    /**
     * 诉求情感
     */
    private String caseEmotion;

    /**
     * 诉求目的
     */
    private String caseGoal;

    /**
     * 主题工单
     */
    private String themeSerial;

    /**
     * 历史工单数
     */
    private String caseHistorynum;

    /**
     * 诉求地址
     */
    private String caseAddress;

    /**
     * 是否回访（1是；0为否）
     */
    private String isVisit;

    /**
     * 外部来源标识（省12345；市12345；网站；微信）
     */
    private String extFormOrigin;

    /**
     * 是否是t_net_work转入的工单（1为是；0为否）
     */
    private String isNetWork;

    private Date smshfSubmitTime;

    /**
     * 派发部门id
     */
    private String distributeDeptId;

    /**
     * 承办单位应完成时间
     */
    private Date distributeDeptPlanDate;

    /**
     * 派发部门时间
     */
    private Date distributeDeptDate;

    /**
     * 是否公开
     */
    private String isPublic;

    /**
     * 拆分标识
     */
    private String isVisitSms;

    /**
     * 人工回访录音ids
     */
    private String hfRecordIds;

    /**
     * 是否是t_people_live转入的工单（1为是；0为否）
     */
    private String isPeopleLive;

    /**
     * 是否废单 1:否 2：废单
     */
    private String isInvalid;

    private String hotlineNumber;

    private String hotlineJson;

    private String letterId;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getIncomingPhone() {
        return incomingPhone;
    }

    public void setIncomingPhone(String incomingPhone) {
        this.incomingPhone = incomingPhone;
    }

    public String getContentText() {
        return contentText;
    }

    public void setContentText(String contentText) {
        this.contentText = contentText;
    }

    public String getFormStatus() {
        return formStatus;
    }

    public void setFormStatus(String formStatus) {
        this.formStatus = formStatus;
    }

    public Date getWaitingTime() {
        return waitingTime;
    }

    public void setWaitingTime(Date waitingTime) {
        this.waitingTime = waitingTime;
    }

    public String getFormOrigin() {
        return formOrigin;
    }

    public void setFormOrigin(String formOrigin) {
        this.formOrigin = formOrigin;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusiNumber() {
        return busiNumber;
    }

    public void setBusiNumber(String busiNumber) {
        this.busiNumber = busiNumber;
    }

    public String getShowFlag() {
        return showFlag;
    }

    public void setShowFlag(String showFlag) {
        this.showFlag = showFlag;
    }

    public Date getPlanTime() {
        return planTime;
    }

    public void setPlanTime(Date planTime) {
        this.planTime = planTime;
    }

    public Date getPlanSignTime() {
        return planSignTime;
    }

    public void setPlanSignTime(Date planSignTime) {
        this.planSignTime = planSignTime;
    }

    public String getBusinessTypeId() {
        return businessTypeId;
    }

    public void setBusinessTypeId(String businessTypeId) {
        this.businessTypeId = businessTypeId;
    }

    public String getBusinessTypeChildId() {
        return businessTypeChildId;
    }

    public void setBusinessTypeChildId(String businessTypeChildId) {
        this.businessTypeChildId = businessTypeChildId;
    }

    public String getBusinessTypeGrandsonId() {
        return businessTypeGrandsonId;
    }

    public void setBusinessTypeGrandsonId(String businessTypeGrandsonId) {
        this.businessTypeGrandsonId = businessTypeGrandsonId;
    }

    public String getProcInsId() {
        return procInsId;
    }

    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getEmeLevel() {
        return emeLevel;
    }

    public void setEmeLevel(String emeLevel) {
        this.emeLevel = emeLevel;
    }

    public String getCusId() {
        return cusId;
    }

    public void setCusId(String cusId) {
        this.cusId = cusId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getActSettingId() {
        return actSettingId;
    }

    public void setActSettingId(String actSettingId) {
        this.actSettingId = actSettingId;
    }

    public String getCaseLnglat() {
        return caseLnglat;
    }

    public void setCaseLnglat(String caseLnglat) {
        this.caseLnglat = caseLnglat;
    }

    public String getRelateBusiNumber() {
        return relateBusiNumber;
    }

    public void setRelateBusiNumber(String relateBusiNumber) {
        this.relateBusiNumber = relateBusiNumber;
    }

    public String getBusinessTypeFourId() {
        return businessTypeFourId;
    }

    public void setBusinessTypeFourId(String businessTypeFourId) {
        this.businessTypeFourId = businessTypeFourId;
    }

    public String getBusinessTypeFiveId() {
        return businessTypeFiveId;
    }

    public void setBusinessTypeFiveId(String businessTypeFiveId) {
        this.businessTypeFiveId = businessTypeFiveId;
    }

    public Date getEventDate() {
        return eventDate;
    }

    public void setEventDate(Date eventDate) {
        this.eventDate = eventDate;
    }

    public String getCaseEmotion() {
        return caseEmotion;
    }

    public void setCaseEmotion(String caseEmotion) {
        this.caseEmotion = caseEmotion;
    }

    public String getCaseGoal() {
        return caseGoal;
    }

    public void setCaseGoal(String caseGoal) {
        this.caseGoal = caseGoal;
    }

    public String getThemeSerial() {
        return themeSerial;
    }

    public void setThemeSerial(String themeSerial) {
        this.themeSerial = themeSerial;
    }

    public String getCaseHistorynum() {
        return caseHistorynum;
    }

    public void setCaseHistorynum(String caseHistorynum) {
        this.caseHistorynum = caseHistorynum;
    }

    public String getCaseAddress() {
        return caseAddress;
    }

    public void setCaseAddress(String caseAddress) {
        this.caseAddress = caseAddress;
    }

    public String getIsVisit() {
        return isVisit;
    }

    public void setIsVisit(String isVisit) {
        this.isVisit = isVisit;
    }

    public String getExtFormOrigin() {
        return extFormOrigin;
    }

    public void setExtFormOrigin(String extFormOrigin) {
        this.extFormOrigin = extFormOrigin;
    }

    public String getIsNetWork() {
        return isNetWork;
    }

    public void setIsNetWork(String isNetWork) {
        this.isNetWork = isNetWork;
    }

    public Date getSmshfSubmitTime() {
        return smshfSubmitTime;
    }

    public void setSmshfSubmitTime(Date smshfSubmitTime) {
        this.smshfSubmitTime = smshfSubmitTime;
    }

    public String getDistributeDeptId() {
        return distributeDeptId;
    }

    public void setDistributeDeptId(String distributeDeptId) {
        this.distributeDeptId = distributeDeptId;
    }

    public Date getDistributeDeptPlanDate() {
        return distributeDeptPlanDate;
    }

    public void setDistributeDeptPlanDate(Date distributeDeptPlanDate) {
        this.distributeDeptPlanDate = distributeDeptPlanDate;
    }

    public Date getDistributeDeptDate() {
        return distributeDeptDate;
    }

    public void setDistributeDeptDate(Date distributeDeptDate) {
        this.distributeDeptDate = distributeDeptDate;
    }

    public String getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(String isPublic) {
        this.isPublic = isPublic;
    }

    public String getIsVisitSms() {
        return isVisitSms;
    }

    public void setIsVisitSms(String isVisitSms) {
        this.isVisitSms = isVisitSms;
    }

    public String getHfRecordIds() {
        return hfRecordIds;
    }

    public void setHfRecordIds(String hfRecordIds) {
        this.hfRecordIds = hfRecordIds;
    }

    public String getIsPeopleLive() {
        return isPeopleLive;
    }

    public void setIsPeopleLive(String isPeopleLive) {
        this.isPeopleLive = isPeopleLive;
    }

    public String getIsInvalid() {
        return isInvalid;
    }

    public void setIsInvalid(String isInvalid) {
        this.isInvalid = isInvalid;
    }

    public String getHotlineNumber() {
        return hotlineNumber;
    }

    public void setHotlineNumber(String hotlineNumber) {
        this.hotlineNumber = hotlineNumber;
    }

    public String getHotlineJson() {
        return hotlineJson;
    }

    public void setHotlineJson(String hotlineJson) {
        this.hotlineJson = hotlineJson;
    }

    public String getLetterId() {
        return letterId;
    }

    public void setLetterId(String letterId) {
        this.letterId = letterId;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }
}
