package com.eazytec.hkydatabasessynchronization.event;

import com.eazytec.hkydatabasessynchronization.entity.EnterpriseTestReport;
import com.eazytec.hkydatabasessynchronization.mapper.EnterpriseTestReportMapper;
import com.gitee.Jmysy.binlog4j.core.BinlogEvent;
import com.gitee.Jmysy.binlog4j.core.IBinlogEventHandler;
import jakarta.inject.Singleton;

@Singleton
public class EnterpriseTestReportEvent implements IBinlogEventHandler<EnterpriseTestReport> {

    private final EnterpriseTestReportMapper mapper;

    public EnterpriseTestReportEvent(EnterpriseTestReportMapper mapper) {
        this.mapper = mapper;
    }

    @Override
    public void onInsert(BinlogEvent<EnterpriseTestReport> binlogEvent) {
        mapper.insert(binlogEvent.getData());
    }

    @Override
    public void onUpdate(BinlogEvent<EnterpriseTestReport> binlogEvent) {

    }

    @Override
    public void onDelete(BinlogEvent<EnterpriseTestReport> binlogEvent) {

    }

    @Override
    public boolean isHandle(String s, String s1) {
        return s.equals("digital_hky") && s1.equals("enterprise_test_report");
    }
}
